<?php


function contentraccoon_pricing_table() {
	
	?>
	<div class="pricing-table" id="contentraccoon_pricing">
		<div class="pricing-card card--10k">
			<div class="pricing-header">10,000 Credits</div>
			<div class="pricing-price">$7</div>
			<div class="pricing-per-word">100 words = $0.07</div>
			<div class="pricing-per-word">Latest GPT Models</div>
			<div class="pricing-per-word">Unlimited Websites</div>
			<div class="pricing-per-word">Never Expires</div>
			<div class="pricing-bonus">+1,000 Bonus Credits</div>
			<div class="pricing-order">
				<a class="button outline" href="https://members.contentraccoon.com/?add-to-cart=18&variation_id=19" target="_blank">Purchase</a>
			</div>
		</div>
		<div class="pricing-card card--25k">
			<div class="pricing-header">25,000 Credits</div>
			<div class="pricing-price">$17</div>
			<div class="pricing-per-word">100 words = $0.068</div>
			<div class="pricing-per-word">Latest GPT Models</div>
			<div class="pricing-per-word">Unlimited Websites</div>
			<div class="pricing-per-word">Never Expires</div>
			<div class="pricing-bonus">+2,500 Bonus Credits</div>
			<div class="pricing-order">
				<a class="button outline" href="https://members.contentraccoon.com/?add-to-cart=18&variation_id=20" target="_blank">Purchase</a>
			</div>
		</div>
		<div class="pricing-card card--10k">
			<div class="pricing-header">50,000 Credits</div>
			<div class="pricing-price">$29</div>
			<div class="pricing-per-word">100 words = $0.058</div>
			<div class="pricing-per-word">Latest GPT Models</div>
			<div class="pricing-per-word">Unlimited Websites</div>
			<div class="pricing-per-word">Never Expires</div>
			<div class="pricing-bonus">+5,000 Bonus Credits</div>
			<div class="pricing-order">
				<a class="button outline" href="https://members.contentraccoon.com/?add-to-cart=18&variation_id=21" target="_blank">Purchase</a>
			</div>
		</div>
	</div>

	<style>


	#contentraccoon_pricing.pricing-table {
	  display: flex;
	  flex-wrap: wrap;
	  margin: 10px auto 30px;
	  justify-content: center;
	  max-width: 1000px;
	}

	#contentraccoon_pricing.pricing-table .pricing-card {
	  flex: 1;
	  background-color: #fefdfa;
	  text-align: center;
	  padding: 70px 40px 80px;
	  margin-bottom: 20px;
	  margin: auto 0px 10px;
	  box-shadow: 0px 11px 30px 0px rgb(0 0 0 / 9%);
	  position: relative;
	}
	#contentraccoon_pricing.pricing-table .pricing-card:last-child:after {
		right: 0;
		left: auto;
	}
	#contentraccoon_pricing.pricing-table .pricing-header {
	  font-size: 22px;
	  font-weight: bold;
	  font-family: 'museo-sans-rounded';
	  font-weight: 900;
	  letter-spacing: 0.5px;
	  color: #413c36;
	  flex: 0 0 100%;
	  text-align: left;
	  text-align: center;
	  margin-bottom: 23px;
	  background: rgb(65,60,54);
	  background: -moz-linear-gradient(left, rgba(65,60,54,1) 0%, rgba(102,137,143,1) 100%);
	  background: -webkit-linear-gradient(left, rgba(65,60,54,1) 0%,rgba(102,137,143,1) 100%);
	  background: linear-gradient(to right, rgba(65,60,54,1) 0%,rgba(102,137,143,1) 100%);
	  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#413c36', endColorstr='#66898f',GradientType=1 );
	  -webkit-background-clip: text;
	  -webkit-text-fill-color: transparent;
	}

	#contentraccoon_pricing.pricing-table .pricing-price {
	  color: #739398;
	  font-size: 54px;
	  font-weight: bold;
	  font-weight: 900;
	  margin-bottom: auto;
	}

	#contentraccoon_pricing.pricing-table .pricing-credits {
	  font-size: 18px;
	  font-weight: 900;
	  font-family: 'museo-sans-rounded';
	  letter-spacing: 0.7px;
	  color: #413c36;
	}

	#contentraccoon_pricing.pricing-table .pricing-bonus {
	  font-size: 18px;
	  margin-bottom: 40px;
	  color: #db7e24;
	  font-weight: 900;
	  letter-spacing: 0.6px;
	}

	#contentraccoon_pricing.pricing-table .pricing-per-word {
	  margin: 18px 0px 10px;
	  font-size: 14px;
	  color: #413c36;
	  font-weight: 400;
	}

	#contentraccoon_pricing.pricing-table .pricing-card.card--25k {
		position: relative;
		z-index: 2;
		padding-top: 90px;
		background: #fdfcfa;
		border-bottom-color: #413c36;
	}

	#contentraccoon_pricing.pricing-table .pricing-card.card--25k:before {
		content: 'Most Popular';
		position: absolute;
		left: 0;
		font-family: 'lobster';
		top: 0;
		width: 100%;
		text-align: center;
		line-height: 40px;
		background: #413c36;
		color: rgb(255 255 255);
		font-weight: 300;
		text-shadow: 0px 1px 4px rgb(0 0 0 / 12%);
		font-size: 18px;
		letter-spacing: 1.5px;
		background: rgb(65,60,54); /* Old browsers */
		background: -moz-linear-gradient(left, rgba(65,60,54,1) 0%, rgba(102,137,143,1) 100%); /* FF3.6-15 */
		background: -webkit-linear-gradient(left, rgba(65,60,54,1) 0%,rgba(102,137,143,1) 100%); /* Chrome10-25,Safari5.1-6 */
		background: linear-gradient(to right, rgba(65,60,54,1) 0%,rgba(102,137,143,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
		filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#413c36', endColorstr='#66898f',GradientType=1 ); /* IE6-9 */
	}

	#contentraccoon_pricing.pricing-table .pricing-card:after {
		content: '';
		position: absolute;
		bottom: 0;
		height: 10px;
		width: calc(100% + 2px);
		right: -1px;
		left: -1px;
		background: rgb(65,60,54); /* Old browsers */
		background: -moz-linear-gradient(left, rgba(65,60,54,1) 0%, rgba(102,137,143,1) 100%); /* FF3.6-15 */
		background: -webkit-linear-gradient(left, rgba(65,60,54,1) 0%,rgba(102,137,143,1) 100%); /* Chrome10-25,Safari5.1-6 */
		background: linear-gradient(to right, rgba(65,60,54,1) 0%,rgba(102,137,143,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
		filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#413c36', endColorstr='#66898f',GradientType=1 ); /* IE6-9 */
	}



	#contentraccoon_pricing.pricing-table .pricing-card.card--25k:after {
		transform: rotate(180deg);
	}

	#contentraccoon_pricing.pricing-table .pricing-order .button.outline {
		font-size: 18px;
		line-height: 47px;
		height: 45px;
		padding: 0px 32px;
		font-family: 'lobster';
		font-weight: 300;
		text-shadow: 0px 1px 4px rgb(0 0 0 / 12%);
	}

	#contentraccoon_pricing.pricing-table .pricing-order .button.outline i.fa {
		margin-inline-end: 8px;
	}

	#contentraccoon_pricing.pricing-table .pricing-card.card--25k .pricing-header:before {
		content: '';
		position: absolute;
		right: 100%;
		border: 20px solid #413c36;
		display: block;
		width: 0px;
		height: 0px;
		top: 0;
		border-inline-start-color: transparent;
		border-inline-end-width: 0px;
		border-inline-start-width: 10px;
	}
	#contentraccoon_pricing.pricing-table .pricing-card.card--25k .pricing-header:after {
		content: '';
		position: absolute;
		left: 100%;
		border: 20px solid #66898f;
		display: block;
		width: 0px;
		height: 0px;
		top: 0;
		border-inline-end-color: transparent;
		border-inline-start-width: 0px;
		border-inline-end-width: 10px;
	}

	</style>
	<?php
	
	
}



function contentraccoon_loader_html() {
	
	return '
	<div class="loader"> 
		<div class="loading-inner"> 
			<div class="loader-text-1" style="display:none;">
				<span class="ia">C</span><span class="io">o</span><span class="ia">n</span><span class="io">t</span><span class="ia">e</span><span class="io">n</span><span class="ia">t</span><span class="io">R</span><span class="ia">a</span><span class="io">c</span><span class="ia">c</span><span class="io">o</span><span class="ia">o</span><span class="io">n</span>
			</div>
			<div class="loader-text-2">
				<span class="io">C</span><span class="ia">o</span><span class="io">n</span><span class="ia">t</span><span class="io">e</span><span class="ia">n</span><span class="io">t</span><span class="ia">R</span><span class="io">a</span><span class="ia">c</span><span class="io">c</span><span class="ia">o</span><span class="io">o</span><span class="ia">n</span>
			</div> 
			<div class="loading-text">Raccoonizing... just a mo.</div>
		</div> 
	</div>';

}


#add_action('edit_form_after_title', 'contentraccoon_form_element');  
function contentraccoon_form_element() { 
	
	$user_credits = contentraccoon_get_credits();
	
    ?>
	<div class="contentraccoon--open-creator" onclick='jQuery("body").toggleClass("contentraccoon-create-open");'>
		Generate New Post
		<!--<span class="ia">C</span><span class="io">o</span><span class="ia">n</span><span class="io">t</span><span class="ia">e</span><span class="io">n</span><span class="ia">t</span><span class="io">R</span><span class="ia">a</span><span class="io">c</span><span class="ia">c</span><span class="io">o</span><span class="ia">o</span><span class="io">n</span>-->
	</div>
	<div class="contentraccoon--post-side-credits">Credits: <strong style="font-weight:800;"><?php echo number_format($user_credits); ?><strong></div>
	<div class="contentraccoon--post-side-menu">
		<ul>
			<li><a href="https://members.contentraccoon.com/my-posts/" target="_blank">My Creation History</a></li>
			<!--<li><a href="#">Generate Featured Image</a></li>-->
			<li><a href="https://contentraccoon.com/#pricing" target="_blank">Purchase Credits</a></li>
			
		</ul>
	</div>
	
    <?php 
} 


