
var $contentraccoon__cloneform;
var $contentraccoon__post_id = 0;
var $contentraccoon__post_token = '';

var $contentraccoon__creator;
var $contentraccoon__step = 1;
var $post_subject, $post_length, $post_purpose;
var $contentraccoon__creator_form;
var $contentraccoon__creator_error_popup;

var $_sections;
 

jQuery(document).ready(function($) {

	$contentraccoon__creator = $("#contentraccoon__creator");

	$contentraccoon__creator_form  = $("form#contentraccoon__creator-form").get(0);
	
	$contentraccoon__creator_error_popup = $("#contenraccoon-error-popup");
	

	jQuery("body").on("keydown","#contentraccoon__creator", function(event) {
	  var activeStep = jQuery(".creator-step.active");
	  var activeStepInputs = activeStep.find("input, select, textarea, button");
	  var activeStepButtons = activeStep.find(".step-back, .step-next");

	  if (event.keyCode === 9) { // Tab key
		if (event.shiftKey) { // Shift + Tab
		  if (jQuery(document.activeElement).is(activeStepButtons.first())) {
			event.preventDefault();
			activeStepInputs.last().focus();
		  }
		} else { // Tab
		  if (jQuery(document.activeElement).is(activeStepInputs.last())) {
			event.preventDefault();
			activeStepButtons.first().focus();
		  }
		}
	  }
	});

	jQuery("#contentraccoon__creator").on("keydown", function(event) {
	  var activeStep = jQuery(".creator-step.active");
	  var activeStepInputs = activeStep.find("input, select, textarea");
	  var activeStepButtons = activeStep.find(".step-back, .step-next");

	  if (event.keyCode === 13) { // Enter key
		event.preventDefault();

		if (jQuery(document.activeElement).is(activeStepInputs)) {
		  activeStep.find(":input:eq(" + (activeStepInputs.index(document.activeElement) + 1) + ")").focus();
		} else {
		  activeStepButtons.filter(":visible").not(":disabled").first().trigger("click");
		}
	  }
	});
 


	setInterval(function(){
		$('.loader .loader-text-1').toggle();
		$('.loader .loader-text-2').toggle();
	}, 430);

	$post_subject = $("#post_subject");
	$post_purpose = $("#post_purpose");
	$post_length = $("#post_length");

	$contentraccoon__creator.find(".form-error").remove();

	$("body").on("click",".add-repeater-col",function(){

		var $cont = $(this).closest(".repeater");
		var $clone = $cont.find(".repeater-row").first().clone();
		$clone.find("input[type='text']").val("");

		$cont.append($clone);

		$cont.find(".repeater-row").each(function(k,v){

			$(this).attr("data-id",k+1);
			$(this).find("[data-name]").each(function(){
				$(this).attr("name",$(this).attr("data-name")+"["+(k)+"]")
			})

		});

	})

	$("body").on("click",".del-repeater-col",function(){

		var $cont = $(this).closest(".repeater");

		if ($cont.find(".repeater-row").length>1) {
			$(this).closest(".repeater-row").remove();
		}

		$cont.find(".repeater-row").each(function(k,v){

			$(this).attr("data-id",k+1);
			$(this).find("[data-name]").each(function(){
				$(this).attr("name",$(this).attr("data-name")+"["+(k)+"]")
			})

		});

	})

	$contentraccoon__creator.on("click",".step-next:not(.disabled)",function(){ 

		var $contentraccoon__cloneform = jQuery('div#contentraccoon-create');
		var formData = $contentraccoon__cloneform.find('input, select, checkbox, radio').serializeArray();
		formData.push({ name: "action", value: "contentraccoon_creator" }); 


		$contentraccoon__creator.find(".form-error").remove();

		var $loader_text = $(".creator-menu-item.active").attr("data-loader");
		$(".loading-text").html($loader_text);

		$contentraccoon__creator.addClass("loading");


		jQuery.ajax({ 
			url: contentraccoon_ajax_obj.ajax_url, 
			method: 'post', 
			data: formData,
			dataType: 'json',

			success: function(postback){

				console.log(postback);

				if (postback.errors) {

					$.each(postback.errors, function(k,v){
						if ($("#contentraccoon_"+k).length) {
							$("#contentraccoon_"+k).closest(".form-input").append('<div class="form-error">'+v+'</div>');
						}
					});


				}

				if (postback.success) { 


					if (postback.results.post_id) { $contentraccoon__post_id = postback.results.post_id; }
					if (postback.results.post_token) { $contentraccoon__post_token = postback.results.post_token; }

					if (postback.results.post_progress) {
						jQuery("div#contentraccoon-progressbar").attr("data-progress", postback.results.post_progress).attr("data-progress-label", postback.results.post_progress_label);
						jQuery(".contentraccoon-progress-inner-bar").css("width", postback.results.post_progress+"%");
					}

					if (postback.results.step_2_post_title) {  
						$("#contentraccoon_post_title").val(postback.results.step_2_post_title); 
					}
					if (postback.results.post_token) {  
						$("#contentraccoon_post_token").val(postback.results.post_token); 
					}

					if (postback.results.post_title) {  
						$("#contentraccoon_post_structure_title").html(postback.results.post_title); 
						$(".post_name").html(postback.results.post_title);
					}

					if (postback.results.section_data) { 

						$_sections = postback.results.section_data;
						contentraccoon__load_section_data();

					}

					if (postback.results.intro_html) {
						$("#contentraccoon_post_structure_intro").html(postback.results.intro_html)
					}

					if (postback.results.post_ideas) { 

						$(".post-ideas").html("");

						$.each(postback.results.post_ideas, function(k,v){
							//var $_new = '<div class="post_idea" data-post_idea="'+v.title+'" data-piece_type="'+v.piece_type+'">'+v.title+'<span class="type" style="display:none;">'+v.piece_type+'</span></div>';
							var $_new = '<div class="post_idea" data-post_idea="'+v.title+'">'+v.title+'</div>';
							$(".post-ideas").append($_new);  
						});

					}

					if (postback.results.section_headings) { 

						$(".repeater.repeater-sectionheadings .repeater-row:not([data-id='1'])").remove();
						$(".repeater.repeater-sectionheadings .repeater-row input").val("");

						$.each(postback.results.section_headings, function(k,v){
							if ($(".repeater.repeater-sectionheadings .repeater-row").last().find("input").val() != "") {
								$(".add-repeater-col").click();
							}
							$(".repeater.repeater-sectionheadings .repeater-row").last().find("input").val(v)
						});

					}

					if (postback.results.keywords) { 
						$("#contentraccoon_keywords_container .post-keywords").html("");

						$.each(postback.results.keywords, function(k,v){
							var $_new = '<div class="post_keywords"><input type="checkbox" name="contentraccoon_keywords[]" data-label="'+v+'" id="contentraccoon_keywords__'+k+'" value="'+v+'"/><label for="contentraccoon_keywords__'+k+'">'+v+'</label></div>';
							$("#contentraccoon_keywords_container .post-keywords").append($_new);  
						});
					} 

					if (postback.results.go_to_step) {

						contentraccoon__go_to_step(postback.results.go_to_step);

						if (postback.results.go_to_step == 5) {  
							contentraccoon__check_post_progress();
						}

					}

				} else if (postback.errors) {
					
					$.each(postback.errors, function(k,v) {

						console.log(postback);

						$("#"+k).closest(".form-input").append('<span class="form-error">'+v+'</span>');

					})
					
					if (postback.errors.credits) {
						
						$contentraccoon__creator_error_popup.find(".contenraccoon-error-popup--msg span").html(postback.errors.credits);
						$contentraccoon__creator_error_popup.addClass("active");
						
					}

				} else {
					
					
				}
				
				jQuery("#contentraccoon-create").removeClass("working");
				$contentraccoon__creator.removeClass("loading");
  
			},

			error: function(error){ 

			} 

		}); 


	})


	$("body").on("click",".post_idea",function() {

		$(".post_idea").removeClass("chosen");
		$(this).addClass("chosen");
		$("#contentraccoon_post_title").val($(this).attr("data-post_idea"));

	})

	$("body").on("click",".contentraccoon-close",function() {
		var $confirm = confirm("Are you sure you want to close the ContentRaccoon wizard?");
		if ($confirm) { 
			$("body").removeClass("contentraccoon-create-open");
		}

	})

	$("body").on("click",".contenraccoon-error-popup--close",function() {
		 
		$("#contenraccoon-error-popup").removeClass("active");
		 

	})

	setTimeout(function() { $contentraccoon__creator.removeClass("loading") }, 1000);

}) 


function contentraccoon__go_to_step($new_step){

	if ($new_step<0) {
		$contentraccoon__step--;
	} else {
		$contentraccoon__step = $new_step;
	}

	if ($new_step==1) { // back to first
		
		jQuery('.step-data-line[data-field="contentraccoon_subject"] span').text("").parent().hide();
		jQuery('.step-data-line[data-field="contentraccoon_format_type"] span').text("").parent().hide();
		jQuery('.step-data-line[data-field="contentraccoon_length"] span').text("").parent().hide();
		jQuery('.step-data-line[data-field="contentraccoon_audience"] span').text("").parent().hide();
		jQuery('.step-data-line[data-field="contentraccoon_purpose"] span').text("").parent().hide();
		jQuery('.step-data-line[data-field="contentraccoon_tone"] span').text("").parent().hide();

	} else if ($new_step==2) { // select keywords
		
		jQuery('.step-data-line[data-field="contentraccoon_subject"] span').text(jQuery("#contentraccoon_subject").val()).parent().show();
		jQuery('.step-data-line[data-field="contentraccoon_format_type"] span').text(jQuery("#contentraccoon_format_type").find("option:selected").text()).parent().show();
		jQuery('.step-data-line[data-field="contentraccoon_length"] span').text(jQuery("#contentraccoon_length").val()).parent().show();
		if (jQuery("#contentraccoon_audience").val()) { jQuery('.step-data-line[data-field="contentraccoon_audience"] span').text(jQuery("#contentraccoon_audience").val()).parent().show(); }
		if (jQuery("#contentraccoon_purpose").val()) { jQuery('.step-data-line[data-field="contentraccoon_purpose"] span').text(jQuery("#contentraccoon_purpose").val()).parent().show(); }
		jQuery('.step-data-line[data-field="contentraccoon_tone"] span').text(jQuery("#contentraccoon_tone").find("option:selected").text()).parent().show();
		
		jQuery('.step-data-line[data-field="contentraccoon_keywords"] span').text("").parent().hide();
		
	} else if ($new_step==3) { // select title
		
		var $subkeywords = jQuery('[name="contentraccoon_keywords[]"]:checked').map(function() { return jQuery(this).attr("data-label"); }).get().join(", ");
		var $manualkeywords = jQuery("[name='contentraccoon_manual_keywords']").val();
		
		jQuery('.step-data-line[data-field="contentraccoon_keywords"] span').text("");
		var $allkeywords = "";
		if ($subkeywords) { $allkeywords = $subkeywords; }
		if ($subkeywords && $manualkeywords) { $allkeywords = $allkeywords + ", ";  }
		if ($manualkeywords) { $allkeywords += $manualkeywords; }
		jQuery('.step-data-line[data-field="contentraccoon_keywords"] span').text($allkeywords);
		if ($allkeywords != "") {
			jQuery('.step-data-line[data-field="contentraccoon_keywords"] span').parent().show();
		}
		jQuery('.step-data-line[data-field="contentraccoon_post_title"] span').text("").parent().hide();
		
	} else if ($new_step==4) { // select sections
		
		jQuery('.step-data-line[data-field="contentraccoon_post_title"] span').text(jQuery("#contentraccoon_post_title").val()).parent().show();

	} else if ($new_step==5) { // review all

		jQuery.get("https://api.contentraccoon.com/start?post_id="+$contentraccoon__post_id+"&post_token="+$contentraccoon__post_token);

	} else if ($new_step==6) { // create
		
	}

	$contentraccoon__creator.attr("data-step", $contentraccoon__step);
 
	var $step_menu_item = jQuery(".creator-menu-item[data-id='"+$contentraccoon__step+"']");
	
	jQuery(".step-back > span:first-child").html($step_menu_item.attr("data-prev"));
	if ($step_menu_item.attr("data-prev") != "") { jQuery(".step-back").show(); } 
	else { jQuery(".step-back").hide(); }
	
	jQuery(".step-next > span:first-child").html($step_menu_item.attr("data-next")).parent().toggle($step_menu_item.attr("data-next") != "");
	if ($step_menu_item.attr("data-next") != "") { jQuery(".step-next").show(); } 
	else { jQuery(".step-next").hide(); }
	
	jQuery("#contentraccoon_step_number").val($contentraccoon__step);
 
	jQuery(".creator-menu-item.active").removeClass("active");
	jQuery(".creator-menu-item[data-id='"+$contentraccoon__step+"']").addClass("active");

	jQuery(".creator-step.active").removeClass("active");
	jQuery(".creator-step[data-id='"+$contentraccoon__step+"']").addClass("active");

}

// Function to add a new section to the repeater
function contentraccoon__add_section() {
  // Create new table row
  var newRow = jQuery("<div class='post_structure_sections--item'>");

  // Create new table cells for section heading, summary, and suggested length
  var sectionHeadingCell = jQuery("<div class='heading'>").append(jQuery("<div class='title'>").attr("name", "section_heading"));
  var summaryCell = jQuery("<div class='summary'>").append(jQuery("<div class='textarea'>").attr("name", "summary"));

  var actionsCell = jQuery("<div class='actions'>");
  var upButton = jQuery("<button>").html('<i class="fa-light fa-up"></i>').attr("type","button").on("click", function() {
	var currentRow = jQuery(this).closest(".post_structure_sections--item");
	currentRow.prev().before(currentRow);
  });
  var downButton = jQuery("<button>").html('<i class="fa-light fa-down"></i>').attr("type","button").on("click", function() {
	var currentRow = jQuery(this).closest(".post_structure_sections--item");
	currentRow.next().after(currentRow);
  });
  var deleteButton = jQuery("<button>").html('<i class="fa-light fa-trash"></i>').attr("type","button").on("click", function() {
	jQuery(this).closest(".post_structure_sections--item").remove();
  });
  actionsCell.append(upButton, downButton, deleteButton);

  // Add cells to new row
  newRow.append(sectionHeadingCell, summaryCell, actionsCell);
  // Append new row to table
  jQuery("#contentraccoon_post_structure_sections").append(newRow);
}

// Function to load placeholder data
function contentraccoon__load_section_data() {
	jQuery(".post_structure_sections--item").remove();
	// Loop through sections array
	for (var i = 0; i < $_sections.length; i++) {
		// Add new section to repeater
		contentraccoon__add_section();

		// Find last section added to repeater
		var lastSection = jQuery("#contentraccoon_post_structure_sections .post_structure_sections--item:last-child");
		lastSection.attr("id", "section_" + (i+1) );

		// Fill in section heading, summary, and suggested length with placeholder data
		lastSection.find(".title").html($_sections[i].heading);
		lastSection.find(".textarea").html("<span>Summary:</span> "+$_sections[i].section_summary); 
	}
}

function contentraccoon__check_post_progress() {

	if ($contentraccoon__post_id && $contentraccoon__post_token) {
		jQuery("#contentraccoon-create").addClass("working");
		setTimeout(function() {
			jQuery.ajax({
				url: ajaxurl,
				type: 'post',
				data: {
					action: 'contentraccoon_check_post_progress',
					post_id: $contentraccoon__post_id,
					post_token: $contentraccoon__post_token,
				},
				success: function(response) {
					if (response.data.post_progress == 100) {
						if (response.data.post_content) {
							if (typeof tinymce !== 'undefined' && tinymce.get('content')) {
								tinymce.get('content').setContent(response.data.post_content);
							} else {
								jQuery('#content').val(response.data.post_content);
							}
						}
						if (response.data.post_title) {
							jQuery('#title').val(response.data.post_title);
							jQuery("#title").trigger("input")
						}

						jQuery("div#contentraccoon-progressbar").attr("data-progress", 100).attr("data-progress-label", "Finished!");
						jQuery(".contentraccoon-progress-inner-bar").css("width", "100%");

						jQuery("#contentraccoon-create").removeClass("working"); 
						$contentraccoon__post_id = 0;
						$contentraccoon__post_token = '';
						jQuery("body").removeClass("contentraccoon-create-open");

					} else if (response.data.post_progress > -1) {

						contentraccoon__check_post_progress();
						jQuery("div#contentraccoon-progressbar").attr("data-progress", response.data.post_progress).attr("data-progress-label", response.data.post_progress_label);
						jQuery(".contentraccoon-progress-inner-bar").css("width", response.data.post_progress+"%");

					}
				}, 
				error: function(response) {
					
						contentraccoon__check_post_progress();
				}
			});
		}, 5000);

	}

}


jQuery(document).ready(function($) {

	setTimeout(function() { $contentraccoon__creator.removeClass("loading") }, 1000);


}); 